﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="PivotChart" AutoEventWireup="true" CodeBehind="PivotChartFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication4.PivotChartFeatures" %>
<%@ Register Assembly="Syncfusion.EJ.Pivot" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ.Pivot" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>PivotChart Features:</h2>
<br />
<li> PivotChart Samples - Server Mode (Relational)</li>
<li> Theme - Flat-Azure</li>
<br/>
<div>
<div id = "ControlRegion" style="height:500px">
             <style>
        #PivotChart1{
            height: 460px; 
            width: 100%;
        }
    </style>
     <ej:PivotChart ID="PivotChart1" runat="server" Locale="en-US" Url="../api/RelationalChart" IsResponsive="true" ClientIDMode="Static">
        <CommonSeriesOptions Type="Column"  EnableAnimation="True" Tooltip-Visible="true"/>
        <ClientSideEvents Load="loadTheme" RenderSuccess="renderSuccess"/>
        <Size Width="100%" Height="460px"></Size>
    </ej:PivotChart>
</div>
</div>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width: 75px; padding-top: 3px; margin-top: 18px">
                    DataSource
                </div>
                <div class="col-md-3" style="margin-top: 17px">
                    <select id="dataSourceType">
                        <option value="today">Today</option>
                        <option value="thisWeek">This Week</option>
                        <option value="thisMonth">This Month</option>
                        <option value="thisyear">This Year</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
<script>
  $(function () {
    $("#sampleProperties").ejPropertiesPanel();
    $("#dataSourceType").ejDropDownList({
        width: "110px"
    }); //Dropdownlist widget
    $("#dataSourceType").ejDropDownList("option", "change", "DataSourceChanged"); //Event for dropdownlist changes
  });

    function renderSuccess(args) {
        if (!ej.isNullOrUndefined(args.getOlapReport()) && JSON.parse(args.getOlapReport()).values == "[]") //Check empty values here. You can get rows and columns information through the following codes respectively. JSON.parse(args.getOlapReport()).rows, JSON.parse(args.getOlapReport()).columns       
        {
            $(".e-dialog, .e-clientDialog, .e-tableDlg").remove();
            var dialogContent = ej.buildTag("div#" + this._id + "_tableDlg.e-tableDlg","No Records Found")[0].outerHTML;
            var ejDialog = ej.buildTag("div#clientDialog.e-clientDialog", dialogContent, { "opacity": "1" }).attr("title", "Empty records")[0].outerHTML;
            $(ejDialog).appendTo("#PivotChart1");
             args.element.find(".e-clientDialog").ejDialog({ width: "25%", content: "#" + args._id, enableResize: false, close: ej.proxy(ej.Pivot.closePreventPanel, this) });
        }
    }
    function DataSourceChanged(args) {
    var ddlvalue = args.value.toLowerCase();
    $(".e-pivotchart").remove();
      var chartPanel = ej.buildTag("div#PivotChart1", "", {})[0].outerHTML;
        $(chartPanel).appendTo("#ControlRegion");
        
       $("#PivotChart1").ejPivotChart({
                    url: "../api/RelationalChart",
                    type: ej.PivotChart.ChartTypes.Column,
                    customObject:ddlvalue, //Refresh PivotChart with custom object value
                    commonSeriesOptions: {
                        enableAnimation: true,
                        type: ej.PivotChart.ChartTypes.Column, tooltip: { visible: true }
                    },
                    size: { height: "460px", width: "100%" }, legend: { visible: true },
                    load: "loadTheme",
                    renderSuccess:"renderSuccess" // Trigger event here also
        });
    }
</script>
</asp:Content>
